const path = require('path');
const fs = require('fs');

const {semverRegExp} = require('../scripts/utilities');

const readmePath = path.resolve(__dirname, '../README.md');

describe('readme-update-version', () => {
  it('matches 2 semver numbers in README.md', () => {
    const readme = fs.readFileSync(readmePath, 'utf8');
    const occurrences = (readme.match(semverRegExp) || []).length;

    expect(occurrences).toBe(2);
  });

  it('semverRegExp matches a variety of valid semver numbers', () => {
    const testCase =
      'Version 2.5.0 (or v2.5.0) and 99.99.99-beta.1 are valid, so is version v100.200.300. But, foo.bar.qux is not';
    const occurrences = (testCase.match(semverRegExp) || []).length;

    expect(occurrences).toBe(4);
  });
});
