---
title: Frame
description: The frame component, while not visible in the user interface itself, provides the structure for an application. It wraps the main elements and houses the primary [navigation](https://polaris.shopify.com/components/navigation), [top bar](https://polaris.shopify.com/components/top-bar), [toast](https://polaris.shopify.com/components/toast), and [contextual save bar](https://polaris.shopify.com/components/contextual-save-bar) components.
category: Structure
keywords:
  - navigation
  - nav
  - links
  - primary navigation
  - main navigation
  - global
  - frame
  - sidebar
  - side bar
  - loading
  - top bar
  - menu
  - toast
examples:
  - fileName: frame-in-an-application.tsx
    title: In an application
    description: Use to present the frame structure and all of its elements.
  - fileName: frame-with-an-offset.tsx
    title: With an offset
    description: Use to present the frame structure and all of its elements with an offset provided to the theme.
---

## Best practices

For the best experience when creating an application frame, use the following components:

- [Top bar](https://polaris.shopify.com/components/top-bar)
- [Navigation](https://polaris.shopify.com/components/navigation)
- [Contextual save bar](https://polaris.shopify.com/components/contextual-save-bar)
- [Toast](https://polaris.shopify.com/components/toast)
- [Loading](https://polaris.shopify.com/components/loading)

---

## Related components

- To display the navigation component on small screens, to provide search and a user menu, or to style the [frame](https://polaris.shopify.com/components/frame) component to reflect an application’s brand, use the [top bar](https://polaris.shopify.com/components/top-bar) component.
- To display the primary navigation within the frame of an application, use the [navigation](https://polaris.shopify.com/components/navigation) component.
- To tell merchants their options once they have made changes to a form on the page use the [contextual save bar](https://polaris.shopify.com/components/contextual-save-bar) component.
- To provide quick, at-a-glance feedback on the outcome of an action, use the [toast](https://polaris.shopify.com/components/toast) component.
- To indicate to merchants that a page is loading or an upload is processing use the [loading](https://polaris.shopify.com/components/loading) component.
