---
title: Skeleton thumbnail
description: Skeleton thumbnail is used to provide a low fidelity representation of an image before it appears on the page, and improves load times perceived by merchants. Use for thumbnails in or outside of a card.
category: Feedback indicators
releasedIn: 3.7.2
keywords:
  - SkeletonThumbnail
  - skeleton
  - loading
  - page
examples:
  - fileName: skeleton-thumbnail-medium.tsx
    title: Medium
    description: Use this component to represent medium thumbnails.
  - fileName: skeleton-thumbnail-large.tsx
    title: Large
    description: Use this component to represent large thumbnails.
  - fileName: skeleton-thumbnail-small.tsx
    title: Small
    description: Use this component to represent small thumbnails.
  - fileName: skeleton-thumbnail-extra-small.tsx
    title: Extra small
    description: Use this component to represent extra small thumbnails.
---

## Best practices

Skeleton thumbnail component should:

- Try to match the size of the thumbnail to the content being loaded so it gives an accurate representation.

---

## Related components

- Use this component with [Skeleton display text](https://polaris.shopify.com/components/skeleton-display-text) to represent the content of a card while it’s loading.
