---
title: Text container
description: A text container is used to wrap text elements such as paragraphs, headings, and lists to give them vertical spacing.
category: Titles and text
releasedIn: 1.9.0
keywords:
  - spacing
  - heading
  - list
  - layout
  - vertical
  - margin
  - padding
examples:
  - fileName: text-container-default.tsx
    title: Default
    description: Use this component for default vertical spacing.
  - fileName: text-container-tight.tsx
    title: Tight
    description: Use the tight spacing option to relate content topics to each other.
  - fileName: text-container-loose.tsx
    title: Loose
    description: Use the loose spacing option to separate concepts that are independent of each other.
---

## Best practices

The closer the spacing, the closer the relationship between content topics. The closeness visually represents the relationship.

- Use tight spacing to relate content topics to each other
- Use loose spacing to separate concepts that are independent of each other

---

## Related components

- For more layout variations, or if you’re looking to vertically space components other than text, use [Stack](https://polaris.shopify.com/components/stack).
