export const figmaColorNames: {[key: string]: string} = {
  background: 'Background/Default',
  'background-hovered': 'Background/Hovered',
  'background-pressed': 'Background/Pressed',
  'background-selected': 'Background/Selected',
  'focused-default': 'Focused/Default',
  'surface-neutral': 'Surface Neutral/Default',
  'surface-neutral-hovered': 'Surface Neutral/Hovered',
  'surface-neutral-pressed': 'Surface Neutral/Pressed',
  'surface-neutral-disabled': 'Surface Neutral/Disabled',
  'surface-neutral-subdued': 'Surface Neutral/Subdued',
  'surface-subdued': 'Surface/Subdued',
  'surface-disabled': 'Surface/Disabled',
  'surface-hovered': 'Surface/Hovered',
  'surface-pressed': 'Surface/Pressed',
  'surface-depressed': 'Surface/Depressed',
  'surface-search-field': 'Surface/SearchField',
  'shadow-from-dim-light': 'Shadow/From dim light',
  'shadow-from-ambient-light': 'Shadow/From ambient light',
  'shadow-from-direct-light': 'Shadow/From direct light',
  'hint-from-direct-light': 'Hint/From direct light',
  'border-neutral-subdued': 'Border Neutral/Subdued',
  'border-hovered': 'Border/Hovered',
  'border-disabled': 'Border/Disabled',
  'border-subdued': 'Border/Subdued',
  'border-depressed': 'Border/Depressed',
  'border-shadow': 'BorderShadow',
  'border-shadow-subdued': 'BorderShadow/Subdued',
  'icon-hovered': 'Icon/Hovered',
  'icon-pressed': 'Icon/Pressed',
  'icon-disabled': 'Icon/Disabled',
  'icon-subdued': 'Icon/Subdued',
  'text-disabled': 'Text/Disabled',
  'text-subdued': 'Text/Subdued',
  'interactive-disabled': 'Interactive/Disabled',
  'interactive-hovered': 'Interactive/Hovered',
  'interactive-pressed': 'Interactive/Pressed',
  'icon-interactive': 'Icon/Interactive',
  'surface-selected': 'Surface Selected/Default',
  'surface-selected-hovered': 'Surface Selected/Hovered',
  'surface-selected-pressed': 'Surface Selected/Pressed',
  'icon-on-interactive': 'Icon On/Interactive',
  'text-on-interactive': 'Text On/Interactive',
  'action-secondary': 'Action Secondary/Default',
  'action-secondary-disabled': 'Action Secondary/Disabled',
  'action-secondary-hovered': 'Action Secondary/Hovered',
  'action-secondary-pressed': 'Action Secondary/Pressed',
  'action-secondary-depressed': 'Action Secondary/Depressed',
  'action-primary': 'Action Primary/Default',
  'action-primary-disabled': 'Action Primary/Disabled',
  'action-primary-hovered': 'Action Primary/Hovered',
  'action-primary-pressed': 'Action Primary/Pressed',
  'action-primary-depressed': 'Action Primary/Depressed',
  'icon-on-primary': 'Icon On/Primary',
  'text-on-primary': 'Text On/Primary',
  'text-primary': 'Text Primary/Default',
  'text-primary-hovered': 'Text Primary/hover',
  'text-primary-pressed': 'Text Primary/Pressed',
  'surface-primary-selected': 'Surface Primary/Selected',
  'surface-primary-selected-hovered': 'Surface Primary/Selected Hovered',
  'surface-primary-selected-pressed': 'Surface Primary/Selected Pressed',
  'border-critical': 'Border Critical/Default',
  'border-critical-subdued': 'Border Critical/Subdued',
  'border-critical-disabled': 'Border Critical/Disabled',
  'icon-critical': 'Icon/Critical',
  'surface-critical': 'Surface Critical/Default',
  'surface-critical-subdued': 'Surface Critical/Subdued',
  'surface-critical-subdued-hovered': 'Surface Critical/Subdued Hovered',
  'surface-critical-subdued-pressed': 'Surface Critical/Subdued Pressed',
  'surface-critical-subdued-depressed': 'Surface Critical/Subdued Depressed',
  'text-critical': 'Text/Critical',
  'action-critical': 'Action Critical/Default',
  'action-critical-disabled': 'Action Critical/Disabled',
  'action-critical-hovered': 'Action Critical/Hovered',
  'action-critical-pressed': 'Action Critical/Pressed',
  'action-critical-depressed': 'Action Critical/Depressed',
  'icon-on-critical': 'Icon On/Critical',
  'text-on-critical': 'Text On/Critical',
  'interactive-critical': 'Interactive/Critical',
  'interactive-critical-disabled': 'Interactive/Critical Disabled',
  'interactive-critical-hovered': 'Interactive/Critical Hovered',
  'interactive-critical-pressed': 'Interactive/Critical Pressed',
  'border-warning': 'Border Warning/Default',
  'border-warning-subdued': 'Border Warning/Subdued',
  'icon-warning': 'Icon/Warning',
  'surface-warning': 'Surface Warning/Default',
  'surface-warning-subdued': 'Surface Warning/Subdued',
  'surface-warning-subdued-hovered': 'Surface Warning/Subdued Hovered',
  'surface-warning-subdued-pressed': 'Surface Warning/Subdued Pressed',
  'text-warning': 'Text/Warning',
  'border-highlight': 'Border Highlight/Default',
  'border-highlight-subdued': 'Border Highlight/Subdued',
  'icon-highlight': 'Icon/Highlight',
  'surface-highlight': 'Surface Highlight/Default',
  'surface-highlight-subdued': 'Surface Highlight/Subdued',
  'surface-highlight-subdued-hovered': 'Surface Highlight/Subdued Hovered',
  'surface-highlight-subdued-pressed': 'Surface Highlight/Subdued Pressed',
  'text-highlight': 'Text/Highlight',
  'border-success': 'Border Success/Default',
  'border-success-subdued': 'Border Success/Subdued',
  'icon-success': 'Icon/Success',
  'surface-success': 'Surface Success/Default',
  'surface-success-subdued': 'Surface Success/Subdued',
  'surface-success-subdued-hovered': 'Surface Success/Subdued Hovered',
  'surface-success-subdued-pressed': 'Surface Success/Subdued Pressed',
  'text-success': 'Text/Success',
  'decorative-one-icon': 'Decorative/Icon/One',
  'decorative-one-surface': 'Decorative/Surface/One',
  'decorative-one-text': 'Decorative/Text/One',
  'decorative-two-icon': 'Decorative/Icon/Two',
  'decorative-two-surface': 'Decorative/Surface/Two',
  'decorative-two-text': 'Decorative/Text/Two',
  'decorative-three-icon': 'Decorative/Icon/Three',
  'decorative-three-surface': 'Decorative/Surface/Three',
  'decorative-three-text': 'Decorative/Text/Three',
  'decorative-four-icon': 'Decorative/Icon/Four',
  'decorative-four-surface': 'Decorative/Surface/Four',
  'decorative-four-text': 'Decorative/Text/Four',
  'decorative-five-icon': 'Decorative/Icon/Five',
  'decorative-five-surface': 'Decorative/Surface/Five',
  'decorative-five-text': 'Decorative/Text/Five',
};
